<div ng-controller='userProfileCtrl' class="user_profile_outer" style="top:0">
    <div class="user_profile_inner">
        <div id="profile_header"></div>
        <!--<div ng-if="!profile.success">Loading..</div>-->
        <!--<div ng-if="profile.success">-->
        <div>
            <div style="min-height:60px" class="pd-left-lg">
                <h3>Hello, {{profile.userName}} <br>
                       <small>abc@gmail.com</small></h3>
                <div class="pd-md" ng-if="showFollow" ng-cloak>
                    <button class="btn btn-primary btn-sm" ng-if="!profile.follow" ng-click="setFollow(true)"><i class="fa fa-check"></i> FOLLOW</button>
                    <button class="btn btn-default btn-sm" ng-if="profile.follow" ng-click="setFollow(false)"><i class="fa fa-close"></i> UNFOLLOW</button>
                </div>
            </div>
            <div id="user_ppic" style="background-image:url({{profile.userImage}});background-size: cover;background-position: top;"> </div>
            <div id="profile_content">
                <!-- Nav tabs -->
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#prof_liked_article" aria-controls="prof_liked_article" role="tab" data-toggle="tab">Liked Articles</a></li>
                    <li role="presentation"><a href="#prof_following" aria-controls="prof_following" role="tab" data-toggle="tab">Following</a></li>
                    <li role="presentation"><a href="#prof_followers" aria-controls="prof_following" role="tab" data-toggle="tab">Followers</a></li>
                </ul>
                <!-- Tab panes -->
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane active" id="prof_liked_article">
                        <ul class="articles_snapshot">
                            <li ng-repeat="like in profile.likedArticles" ng-click='openArticle(like)'>
                                <div class="article_small_img" ng-style="{'background-image':'url({{like.image}})'}"></div> <span>{{like.name}}</span> </li>
                        </ul>
                    </div>
                    <div role="tabpanel" class="tab-pane" id="prof_following">
                        <ul class="articles_snapshot" ng-if="profile.following.users.length>0">
                            <li ng-repeat="_flwr in profile.following.users">
                                <div class="article_small_img" ng-style="{'background-image':'url({{_flwr.image}})'}"></div> <span>{{_flwr.name}}</span> </li>
                        </ul>
                        <h4 ng-if="profile.following.users.length==0" class="text-center">YOU AREN'T FOLLOWING ANYONE</h4> </div>
                    <div role="tabpanel" class="tab-pane" id="prof_followers">
                        <ul class="articles_snapshot" ng-if="profile.followers.length>0">
                            <li ng-repeat="_flwr in profile.followers">
                                <div class="article_small_img" ng-style="{'background-image':'url({{_flwr.image}})'}"></div> <span>{{_flwr.name}}</span> </li>
                        </ul>
                        <h4 ng-if="profile.followers.length==0" class="text-center">NO FOLLOWERS</h4> </div>
                </div>
            </div>
        </div>
    </div>
</div>